ASP(4)

NAME
asp - core bus controller as present on older HP 9000/700 machines

SYNOPSIS
asp0 at mainbus? irq 28
gsc* at asp?

DESCRIPTION
The supported Core bus controllers are those present on older PA-RISC workstations, and include:

•   Core bus controller
•   System Clock
•   Interrupt Controller
•   DMA Controller
•   Real Time Clock Interface
•   RAM and EEPROM controllers

The irq level supplied is hardwired to the CPU pin, so changing the value would not produce any noticeable results (except lost interrupts for the whole I/O subsystem).

MACHINES
An incomplete list of machines that use the ASP bus controller:

•   705, 710
•   715/{33,50,75}
•   725/{50,75}
•   720, 730, 750
•   735/*
•   745i/{50,75}
•   747i/{50,75}
•   755/*

SEE ALSO
gsc(4), intro(4), io(4) Hardball I/O Subsystem ERS, Revision 1.1, 30 September 1991, Hewlett-Packard.

HISTORY
The asp driver appeared in OpenBSD 2.4.